unit Startup;

interface

uses
    Windows,
    Messages,
    SysUtils,
    Classes,
    Graphics,
    Controls,
    Forms,
    Dialogs,
    StdCtrls,
    Buttons;

type
  TStartupForm = class(TForm)
    ModesGroupBox: TGroupBox;
    FullscreenCheckBox: TCheckBox;
    OKBitBtn: TBitBtn;
    CloseBitBtn: TBitBtn;
    ModesComboBox: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure ModesComboBoxChange(Sender: TObject);
    procedure FullscreenCheckBoxClick(Sender: TObject);
  private
    { Private declarations }
    fXRes,fYRes,fColorDepth:integer;
    fFullScreen:boolean;
  public
    { Public declarations }
    property XRes:integer
             read fXRes;
    property YRes:integer
             read fYRes;
    property ColorDepth:integer
             read fColorDepth;
    property FullScreen:boolean
             read fFullScreen;
  end;

var
  StartupForm: TStartupForm;

implementation

{$R *.DFM}

procedure TStartupForm.FormCreate(Sender: TObject);
begin
     ModesComboBox.ItemIndex:=1;
     ModesComboBoxChange(Self);
     FullscreenCheckBoxClick(Self);
end;

procedure TStartupForm.ModesComboBoxChange(Sender: TObject);
begin
//320x240x16
//640x480x16
//800x600x16
//1024x768x16
     case ModesCombobox.ItemIndex of
          0:begin
                 fXRes:=320;
                 fYRes:=240;
                 fColorDepth:=16;
          end;
          1:begin
                 fXRes:=640;
                 fYRes:=480;
                 fColorDepth:=16;
          end;
          2:begin
                 fXRes:=800;
                 fYRes:=600;
                 fColorDepth:=16;
          end;
          3:begin
                 fXRes:=1024;
                 fYRes:=768;
                 fColorDepth:=16;
          end;
     end;
end;

procedure TStartupForm.FullscreenCheckBoxClick(Sender: TObject);
begin
     fFullScreen:=FullscreenCheckBox.Checked;
end;

end.
